Skip to content
POST/{organizationId}/finance/accounting/accounts/export

Export accounts

Exports accounts from the accounting plan to a CSV file

Required permissions:

  • accountingPlan.read

Path Parameters

organizationIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/finance/accounting/accounts/export
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/accounting/accounts/export' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

accountsintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

csvstringrequired

Response

200
{
  "accounts": -9007199254740991,
  "csv": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}